*Probability theory is nothing but common sense reduced to calculation.*

Pierre-Simon Laplace (1749–1827)

The present column is devoted to Probability Theory and related topics.

## I Six new problems – solutions solicited

Solutions will appear in a subsequent issue.

### 237

We take for our probability space $(X,m)$: the unit interval $X=[0,1]$ equipped with the Lebesgue measure $m$ defined on $B(X)$, the Borel subsets of $X$ and let $(X,m,T)$ be an invertible measure preserving transformation, that is $T:X_{0}→X_{0}$ is a bimeasurable bijection of some Borel set $X_{0}∈B(X)$ of full measure so that and $m(TA)=m(T_{−1}A)=m(A)$ for every $A∈B(X)$.

Suppose also that $T$ is ergodic in the sense that the only $T$-invariant Borel sets have either zero- or full measure ($A∈B(X),TA=A⇒m(A)=0,1$).

Birkhoff’s ergodic theorem says that for every integrable function $f:X→R$,

The present exercise is concerned with the possibility of generalizing this. Throughout, $(X,m,T)$ is an arbitrary ergodic, measure-preserving transformation as above.

#### Warm-up 1

Show that if $f:X→R$ is measurable, and

then $n1 ∑_{k=0}f∘T_{k}$ converges in $R$ a.s.

Warm-up 1 is [1 P. Hagelstein, D. Herden and A. Stokolos, A theorem of Besicovitch and a generalization of the Birkhoff Ergodic Theorem. Proc. Amer. Math. Soc. Ser. B8, 52–59 (2021) , Lemma 1]. For a multidimensional version, see [1 P. Hagelstein, D. Herden and A. Stokolos, A theorem of Besicovitch and a generalization of the Birkhoff Ergodic Theorem. Proc. Amer. Math. Soc. Ser. B8, 52–59 (2021) , Conjecture 3].

#### Warm-up 2

Show that if $f:X→R$ is as in Warm-up 1, then $∃g,h:X→R$ measurable with $h$ bounded so that $f=h+g−g∘T_{n}$.

Warm-up 2 is established by adapting the proof of [3 D. Volný and B. Weiss, Coboundaries in L0∞. Ann. Inst. H. Poincaré Probab. Statist.40, 771–778 (2004) , Theorem A].

#### Problem

Show that there is a measurable function $f:X→R$ satisfying $E(∣f∣)=∞$ so that

converges in $R$ a.s.

The existence of such $f$ for a specially constructed ergodic measure-preserving transformation is shown in [2 D. Tanny, A zero-one law for stationary sequences. Z. Wahrscheinlichkeitstheorie und Verw. Gebiete30, 139–148 (1974) , example b]. The point here is to prove it for an arbitrary ergodic measure preserving transformation of $(X,m)$.

*Jon Aaronson (Tel Aviv University, Israel)*

### 238

Let $(Ω,F,P)$ be a probability space and ${X_{n}:n≥1}$ a sequence of independent and identically distributed (i.i.d.) random variables on $Ω$. Assume that there exists a sequence of positive numbers ${b_{n}:n≥1}$ such that $nb_{n} ≤n+1b_{n+1} $ for every $n≥1$, $lim_{n→∞}nb_{n} =∞$, and $∑_{n=1}P(∣X_{n}∣≥b_{n})<∞$. Prove that if $S_{n}:=∑_{j=1}X_{j}$ for each $n≥1$, then

*Comment.* The desired statement says that if such a sequence ${b_{n}:n≥1}$ exists, then ${X_{n}:n≥1}$ satisfies
the (generalized) Strong Law of Large Numbers (SLLN) when averaged by ${b_{n}:n≥1}$. If $X_{n}∈L_{1}(P)$ for every
$n≥1$, then the desired statement follows trivially from Kolmogorov’s SLLN,
since in that case, with probability one, we have

and hence

must converge to 0 under the assumptions on ${b_{n}:n≥1}$. Therefore, the desired statement can be viewed as an alternative to Kolmogorov’s SLLN for i.i.d. random variables that are not integrable.

*Linan Chen (McGill University, Montreal, Quebec, Canada)*

### 239

In Beetown, the bees have a strict rule: all clubs must have exactly $k$ membees. Clubs are not necessarily disjoint. Let $b(k)$ be the smallest number of clubs that it is possible for the $n≥k_{2}$ bees to form, such that the set of clubs has the property that no matter how the bees divide themselves into two teams to play beeball, there will always be a club all of whose membees are on the same team. Prove that

for some constant $C>0$.

*Rob Morris (IMPA, Rio de Janeiro, Brasil)*

### 240

$N$ agents are in a room with a server, and each agent is looking to get served, at which point the agent leaves the room. At any discrete time-step, each agent may choose to either shout or stay quiet, and an agent gets served in that round if (and only if) that agent is the only one to have shouted. The agents are indistinguishable to each other at the start, but at each subsequent step, every agent gets to see who has shouted and who has not. If all the agents are required to use the same randomised strategy, show that the minimum time expectation to clear the room is $N+(2+o(1))g_{2}N$.

*Bhargav Narayanan (Rutgers University, Piscataway, USA)*

### 241

Consider the following sequence of partitions of the unit interval $I$: First, define $π_{1}$ to be the partition of $I$ into two intervals, a red interval of length $1/3$ and a blue one of length $2/3$. Next, for any $m>1$, define $π_{m+1}$ to be the partition derived from $π_{m}$ by splitting all intervals of maximal length in $π_{m}$, each into two intervals, a red one of ratio $1/3$ and a blue one of ratio $2/3$, just as in the first step. For example $π_{2}$ consists of three intervals of lengths $1/3$ (red), $2/9$ (red) and $4/9$ (blue), the last two are the result of splitting the blue interval in $π_{1}$. The figure below illustrates $π_{1},…,π_{4}$, from top to bottom.

Let $m∈N$ and consider the $m$-th partition $π_{m}$.

Choose an interval in $π_{m}$ uniformly at random. Let $R_{m}$ be the probability you chose a red interval, does the sequence $(R_{m})_{m∈N}$ converge? If so, what is the limit?

Choose a point in $I$ uniformly at random. Let $A_{m}$ be the probability that the point is colored red, does the sequence $(A_{m})_{m∈N}$ converge? If so, what is the limit?

*Yotam Smilansky (Rutgers University, NJ, USA)*

### 242

Prove that there exist $c<1$ and $ϵ>0$ such that if $A_{1},…,A_{k}$ are increasing events of independent boolean random variables with $Pr(A_{i})<ϵ$ for all $i$, then

(What is the smallest $c$ that you can prove?)

Here $A⊂{0,1}_{n}$ is an “increasing event” if whenever $x∈A$, then the vector obtained by changing any coordinates of $x$ from $0$ to $1$ still lies in $A$.

A useful fact is Harris inequality, which says that for increasing events $A$ and $B$ of boolean random variables, $Pr(A∩B)≥Pr(A)Pr(B)$.

I learned of this problem from Jeff Kahn.

*Yufei Zhao (MIT, Cambridge, USA)*

## II Open problems

### Equidistributed orbits in 2-adic integers

*by Hillel Furstenberg
(Einstein Institute of Mathematics, The Hebrew University of Jerusalem, Israel)*

The Collatz problem, also known as the $3x+1$ problem is very well known. We will formulate a general conjecture motivated by the Collatz problem, as well as another related conjecture. Both have to do with ordinary integer sequences which should be regarded as subsequences of the 2-adics. First some notation. Every positive integer can be written as $x=g(x)h(x),$ with $g(x)$ a power of $2$, and $h(x)$ odd. We define a transformation on $N={1,2,3,…}$ by

The mysterious phenomenon is that every orbit seems to reach the fixed point 1. The Collatz problem is to prove this. Probability enters as a heuristic explanation of why the orbit is finite, always reaching some cycle. A more “robust” phenomenon is that for any odd $b$, if we were to set

the orbits are finite.

We point out that it is not hard to show that $b$ can be chosen so that the corresponding transformation has as many distinct cycles as we like. Nevertheless it seems that all orbits are finite. We propose a still more general conjecture which implies this. For this we need the notion of “equidistribution in the odd 2-adics”.

If we fix a natural number $k$, every odd integer lies in one of the $2_{(k−1)}$ arithmetic progressions

**Definition****.** A sequence $S$ of odd integers is equidistributed in the odd 2-adics if for
every $j$, $k$, the proportion of $S$ in $P_{j,k}$ is $(1/2)_{(k−1)}$.
“Proportion” means the relative density.

Now define

where $a$ and $b$ are odd integers, $a>2$, $b>0$.

### 243*

*Conjecture A.* For any natural odd numbers $a,b,x,$ the orbit
of $x$ under $T_{a,b}$ is either finite or equidistributed in the odd
2-adics.

Consequence: All the orbits of $T_{3,b}$ are finite.

To prove this one shows that the assumption of an infinite equidistributed orbit leads to a contradiction. This follows from the fact that on account of equidistribution, the expectation of $gg(x)$ is $g4$. The idea now is to observe that for large $x$, the effect of applying $T_{3,b}$ is – on the average – multiplying by 3 and dividing by 4. This can be made precise to show that an equidistributed, infinite orbit is an impossibility.

The next conjecture involves equidistribution in the full compact group of 2-adics. Define $R(x)=3[x/2]$. Here as usual $[z]$ denotes the largest integer less than $z$. We have

But for $x>3$,

so that for $x>3,$ the orbit of $x$ will be infinite.

### 244*

*Conjecture B.*
For any $x>3$, the orbit under $R$ is equidistributed in the 2-adics.

In particular, this would imply that in every such orbit, even and odd integers appear with the same frequency. However, we are unable to verify this for any orbit.

Here too we can consider $R_{a}$ defined by

We expect the same phenomenon: orbits that are either finite or equidistributed. Little numerical work has been done on this conjecture.

## III Solutions

### 226

Let $C_{n}$ stand for the space of complex *column*$n$-vectors, and let $M_{n}$ stand for the space of complex $n×n$ matrices.

The inner product $⟨x∣y⟩$ of $x,y∈C_{n}$ is defined as

Therefore $⟨x∣y⟩$ is linear in $y$ and conjugate linear in $x$.

Let $A,B$ be $n×m$ complex matrices. Write them as

with $a_{j},b_{j}∈C_{n}(j=1,2,…,m)$.

Then it is immediate from the definition of matrix multiplication that

Show the following relation:

where each product $a_{j}b_{j}(j=1,…,n)$ is a rank-one matrix in $M_{n}$.

*T. Ando (Hokkaido University, Sapporo, Japan)*

#### Solution by the proposer

Consider the canonical orthonormal basis in $C_{n}$;

Then it suffices to prove the identity in the assertion for the case

and

In this case

while

as expected.

*Also solved by John N. Daras (Athens, Greece), Muhammad Thoriq (Yogyakarta, Indonesia), and Socratis Varelogiannis (France)*

### 227

Let $p$ and $q$ be two distinct primes with $q>p$ and $G$ a group of exponent $q$ for which the map $f_{p}:G→G$ defined by $f_{p}(x)=x_{p}$, for all $x∈G$, is an endomorphism. Show that $G$ is an abelian group.

*Dorin Andrica and George Cătălin Ţurcaş (Babeş-Bolyai University, Cluj-Napoca, Romania)*

#### Solution by the proposer

We first prove the following auxiliary result.

**Claim****.** The map $f_{k}:G→G$ defined by $f_{k}(x)=x_{k}$ is an endomorphism for all $k∈Z$ with $k≡1(modp(p−1))$.

First, it is not hard to see that $(xy)_{p}=x_{p}y_{p}$ implies that $(yx)_{p−1}=x_{p−1}y_{p−1}$, for all $x,y∈G$. Then we observe that

It is also easy to show that

Using the latter, we see that

for all $x,y∈G$. We just showed that $f_{p(p−1)}$ is an endomorphism of $G$. We proceed by showing that $f_{p_{2}−p+1}$ is also an endomorphism.

For every $x,y∈G$, we have

In the above chain of equalities we just used that $f_{p}$ and $f_{p(p−1)}$ are endomorphisms. We previously mentioned (1) that the middle terms commute, which shows that $f_{p_{2}−p+1}$ is an endomorphism of $G$.

Observe that for all $x,y∈G$ we have

which implies that $x_{p_{2}−p}y=yx_{p_{2}−p}$. It follows that $x_{p_{2}−p}$ belongs to the center of $G$, for any $x∈G$.

We are now ready to prove our claim. Let $k=1+mp(p−1)$ for some $m∈Z$. Then

The claim is proved.

Since $g(q,p(p−1))=1$, by the Chinese Remainder Theorem we know that there is an integer $n$ such that

We therefore have that the map $f_{n}:G→G$ defined by $f_{n}(x)=x_{n}$ is an endormorphism. However, $x_{n}=x_{2}$ for all $x∈G$, since $q$ is the exponent of $G$. Now, since $f_{2}(x)=x_{2}$ is an endomorphism of $G$, it follows that for all $x,y∈G$ we have $(yx)_{2}=y_{2}x_{2}⇔yxyx=y_{2}x_{2}⇔xy=yx$.

**Remark****.** The conclusion also holds if $p$ and $q$ are not prime. One just needs $G$ to
have a finite exponent $q$ such that $q$ and $p_{2}−p$ are coprime.

*Also solved by Mihaly Bencze (Romania), Tomek Jedrzejak (University of Szczecin, Poland), and Efstathios S. Louridas (Athens, Greece)*

### 228

Let $(G,⋅)$ be a group with the property that there is an integer $n≥1$ such that the map $f_{n}:G→G,f_{n}(x)=x_{n}$ is injective and the map

is a surjective endomorphism. Prove that $G$ is an abelian group.

*Dorin Andrica and George Cătălin Ţurcaş (Babeş-Bolyai University, Cluj-Napoca, Romania)*

#### Solution by the proposer

From the second hypothesis we have

which implies that

Using the above, we see that $x(yx)_{n}=x_{n+1}y_{n}$ for all $x,y∈G$. On the other hand,

We just showed that

Now, using the surjectivity of $f_{n+1}$ we obtain that for every $z∈G$ there is $x∈G$ such that $f_{n+1}(x)=z$, that is $x_{n+1}=z$. The relation (2) can be written as $zy_{n}=y_{n}z$, for all $y,z∈G$. From this relation we get

that is

This is equivalent to

hence $(yx)_{n}=(xy)_{n}$ and the conclusion follows from the injectivity of the map $f_{n}$.

*Also solved by John N. Daras (Athens, Greece), Tomek Jedrzejak (University of Szczecin, Poland), Muhammad Thoriq (Yogyakarta, Indonesia), and Socratis Varelogiannis (France)*

### 229

Let $A$ and $B∈Mat_{k}(K)$ be two matrices over a field $K$. We say that
$A$ and $B$ are *similar* if there exists an invertible matrix $C∈GL_{k}(K)$ such that $B=C_{−1}AC$.

Let $A$ and $B∈GL_{k}(Q)$ be two similar invertible matrices over the field of rational numbers $Q$. Assume that for some integer $l$, we have $A_{l+1}B=BA_{l}.$ Then $A$ and $B$ are the identity matrices.

*Andrei Jaikin-Zapirain (Departamento de Matemáticas, Universidad Autónoma de Madrid and Instituto de Ciencias Matemáticas, CSIC-UAM-UC3M-UCM, Spain) and Dmitri Piontkovski (Faculty of Economic Sciences, Moscow Higher School of Economics, Russia)*

#### Solution by the proposer

Consider first a finite group $G$ having three elements $x,y,z$ satisfying

Let us show that $x=y=1$.

By way of contradiction we assume that the order of $x$ is $n>1$. Since $x$ and $y$ are conjugate, the order of $y$ is also $n$. The cases $l=0$ and $l=−1$ are trivial, so we assume that $l=0,−1$.

Let $GCD(a,b)$ denote the greatest common divisor of two integers $a$ and $b$. The order of $x_{l}$ is $n/GCD(n,l)$ and the order of $x_{l+1}$ is $n/GCD(n,l+1)$. Since $x_{l}$ and $x_{l+1}$ are conjugate, their orders coincide. Therefore, $GCD(n,l)=GCD(n,l+1)$. Thus, since $l$ and $l+1$ are coprime, we obtain that

This implies that there exists a natural number $q>1$, which is coprime with $n$ and such that $ql≡l+1(modn)$. Note that $yx_{l}y_{−1}=x_{lq}$. Therefore,

Since the order of $x_{l}$ is $n$, $n$ divides $q_{n}−1$. Let $p$ be the smallest prime divisor of $n$. Then the integers $n$ and $p−1$ are coprime. Hence there exist $a,b∈Z$ such that $an+b(p−1)=1$. Observe also that

Therefore, $q_{an+b(p−1)}≡1(modp)$, and so

We have arrived at a contradiction, which proves that $x=y=1$.

Now let us come back to the original problem. Since $A$ and $B$ are similar, there exists an invertible matrix $C∈GL_{k}(Q)$ such that $B=C_{−1}AC$. Let $F$ be the subgroup of $GL_{k}(Q)$ generated by $A$ and $C$. Let $m$ be such that $A$, $A_{−1}$,$C$,$C_{−1}∈GL_{k}(Z[m1 ])$. Then $F≤GL_{k}(Z[m1 ])$.

Recall that a group $H$ is called *residually finite* if for every
non-trivial element $h∈H$ there exists a finite quotient $G$ of $H$ such
that the image of $h$ in $G$ is non-trivial. Observe that the group
$GL_{k}(Z[m1 ]$ is residually finite (consider the natural maps
from $GL_{k}(Z[m1 ])$ to $GL_{k}(F_{p})$, where $p$ are prime
numbers coprime with $m$). Therefore we conclude that the group $F$ is also
residually finite.

If $A$ is not the identity matrix, then there exists a finite quotient $G$ of $F$ such that the image of $A$ in $G$ is not trivial. But this contradicts what we proved at the beginning. Thus $A$, so also $B$, are the identity matrices.

**Remark****.** The problem is inspired by a result of Baumslag [4
G. Baumslag, A non-cyclic one-relator group all of whose finite quotients are
cyclic. J. Austral. Math. Soc.10, 497–498 (1969)
] where he
constructed a two-generator one-relator group having only cyclic finite
quotients. Instead of $Q$ we could assume that the matrices $A$ and $B$ in the
problem are considered over an arbitrary field $K$. In this case the problem
can be solved using a theorem of Malcev [5
A. Malcev, On isomorphic matrix representations of infinite groups. Rec.
Math. [Mat. Sbornik] N.S.8 (50), 405–422 (1940)
] where he proved that
any finitely generated group linear over a field is residually finite.

*Also solved by John N. Daras (Athens, Greece), George Miliakos (Sparta, Greece), and Moubinool Omarjee (Paris, France)*

### 230

We are trying to hang a picture on a wall. The picture has a piece of string attached to it forming a loop, and there are $3$ nails in the wall that we can wrap the string around. We want to hang the picture so that it does not fall down, but it will upon the removal of any of the $3$ nails.

*Dawid Kielak (Mathematical Institute, University of Oxford, UK)*

#### Solution by the proposer

Let us start with $2$ nails. Wrapping a loop around two nails in some way is equivalent to choosing an element of $π_{1}(C∖{0,1})$. Of course, this fundamental group is the free group $F_{2}=F(a,b)$ of rank $2$, with generators corresponding to loops going around one of the nails.

If the picture is not to fall down, we need a non-trivial element $x$ of $F_{2}$. The condition that the picture is supposed to fall when any of the nails is removed means that the image of $x$ in $F_{2}/⟨⟨a⟩⟩≅Z$ and in $F_{2}/⟨⟨b⟩⟩≅Z$ has to be trivial. We immediately recognise that $x=[a,b]$ does the trick.

For three nails, we can take

The solution easily generalises to $n$ nails.

*Also solved by Mihaly Bencze (Romania), and George Miliakos (Sparta, Greece)*

### 231

Given a natural number $n$ and a field $k$, let $M_{n}(k)$ be the full $n×n$ matrix algebra over $k$. A matrix $(a_{ij})∈M_{n}(k)$ is said to be centrosymmetric if

for $1≤i,j≤n$. Let $C_{n}(k)$ denote the set of all centrosymmetric matrices in $M_{n}(k)$. Then $C_{n}(k)$ is a subalgebra of $M_{n}(k)$, called centrosymmetric matrix algebra over $k$ of degree $n$. Centrosymmetric matrices have a long history (see [6 A. Aitken, Determinants and matrices. Oliver and Boyd, Edinburgh (1939) , 10 T. Muir, A treatise on the theory of determinants. Revised and enlarged by William H. Metzler, Dover Publications, Inc., New York (1960) ]) and applications in many areas, such as in Markov processes, engineering problems and quantum physics (see [7 A. R. Collar, On centrosymmetric and centroskew matrices. Quart. J. Mech. Appl. Math.15, 265–281 (1962) , 8 L. Datta and S. D. Morgera, On the reducibility of centrosymmetric matrices – applications in engineering problems. Circuits Systems Signal Process.8, 71–96 (1989) , 9 I. J. Good, The inverse of a centrosymmetric matrix. Technometrics12, 925–928 (1970) , 11 J. R. Weaver, Centrosymmetric (cross-symmetric) matrices, their basic properties, eigenvalues, and eigenvectors. Amer. Math. Monthly92, 711–717 (1985) ]). In the representation theory of algebras, a fundamental problem for a finite-dimensional algebra is to know if it has finitely many nonisomorphic indecomposable modules (or in other terminology, representations). In our case, the concrete problem on $C_{n}(k)$ reads as follows.

Does $C_{n}(k)$ have finitely many nonisomorphic indecomposable modules? If yes, what is the number?

*Changchang Xi (School of Mathematical Sciences, Capital Normal University, Beijing, and College of Mathematics and Information Science, Henan Normal University, Xinxiang, China)*

#### Solution by the proposer

#### Strategy

To solve the problem, we use the fact that two algebras have the same number of nonisomorphic indecomposable modules if their module categories are equivalent. In our case of $C_{n}(k)$, a practical way is to look for a decomposition of $C_{n}(k)$ as a direct sum of indecomposable left ideals, and then take the direct sum of representives for each isomorphism classes of indecomposable left ideals. The endomorphism algebra of this direct sum of representives is called the basic algebra of $C_{n}(k)$, denoted $B_{0}(n,k)$. Then $C_{n}(k)$ and $B_{0}(n,k)$ have equivalent module categories, and therefore they have the same number of nonisomorphic indecomposable modules.

#### Technique

Let $I_{n}$ be the identity matrix in $M_{n}(k)$, $e_{ij}$ be the $n×n$ matrix with $(i,j)$-entry $1$ and other entries $0$, and

Then $f_{i}∈C_{n}(k)$. Calculations show that, for $n=2m$,

$I_{n}=f_{1}+⋯+f_{m}$, $f_{i}f_{j}=δ_{ij}f_{i}$, where $δ_{ij}$ is the Kronecker symbol,

$C_{n}(k)f_{1}≃C_{n}(k)f_{2}≃⋯≃C_{n}(k)f_{m}$ as left ideals, and

dim$_{k}(C_{2m}(k)=2m_{2}$;

and, for $n=2m+1$,

$I_{n}=f_{1}+⋯+f_{m}+e_{m+1,m+1}$, $f_{i}f_{j}=δ_{ij}f_{i}$, where $δ_{ij}$ is the Kronecker symbol, and

$C_{n}(k)f_{1}≃⋯≃C_{n}(k)f_{m}$ as left ideals, and

dim$_{k}(C_{2m+1}(k)=2m_{2}+2m+1$.

Thus

and

Further calculations lead to

#### Answer

We give quiver presentations of $B_{0}(n,k)$ (see [12 C. Xi and S. Yin, Cellularity of centrosymmetric matrix algebras and Frobenius extensions. Linear Algebra Appl.590, 317–329 (2020) ]).

Clearly, $B_{0}(1,k)=k∙$. If char$(k)=2$, then $B_{0}(2,k)=k(∙∙)$ and $B_{0}(3,k)≃k(∙∙)$. If char$(k)=2$, then From these quiver presentations of the basic algebras, we can draw their Auslander–Reiten quivers and gain a complete answer to the above problem.

$C_{1}(k)$ has exactly $1$ nonisomorphic indecomposable module.

If ch$(k)=2$, then $C_{n}(k)$ has exactly $2$ nonisomorphic indecomposable modules for all $n≥2$.

If ch$(k)=2$, then $C_{2m}(k)$ has exactly $2$ nonisomorphic indecomposable modules for all $m≥1$, and $C_{2m+1}(k)$ has exactly $5$ nonisomorphic indecomposable modules for all $m≥1$.

### An additional interesting problem (not intimately connected to Algebra)

Intervals of monotonic changes in a polynomial are located between the roots of its derivative. A derivative of a polynomial is also a polynomial, although of a lesser degree. Using these considerations, construct an algorithm for calculating the real roots of the quadratic equation. Improve it to calculate the real roots of a polynomial of the third, fourth and generally arbitrary degree.

*Igor Kostin (Moscow, Russian Federation)*

#### Solution by the proposer

We assume that the coefficient at $x_{2}$ of the square polynomial is greater than zero. We need to find the derivative of this polynomial.

This is a linear function and we can easily find its root. Let us denote it by xmin.

It is clear that if the value of the initial square polynomial at xmin is greater than zero, then such a polynomial has no real roots. Otherwise, we will look for an argument xref such that this polynomial is greater than zero. An easy way to find such an argument is to step back from xmin by some step and check the value of the polynomial in such a step.

If the calculated value of the polynomial is greater than zero, then the search is completed, otherwise we will continue to retreat, each time doubling the value of the step of the retreat. Having obtained xref, we find the root by the standard dichotomy method, dividing in half the segment between xmin and xref.

It is convenient to end the dichotomy process when, in the machine representation, the point dividing the segment in half coincides with one of the ends of the original segment. Due to the finite precision of real numbers, this will happen sooner or later on any computer.

We repeat the above method for calculating the root twice, departing from xmin in different directions.

It is now clear that in order to calculate the roots of a polynomial of third degree, one must first calculate its derivative polynomial and find the roots of this square polynomial.

These roots will determine the boundaries of the intervals of monotonic changes in the initial polynomial of third degree. The roots of this initial polynomial will be found by the dichotomy method on the segments of monotonic variation calculated in this way.

It is clear that the ladder of the described possibilities rises, in principle, to a polynomial of an arbitrarily large degree. Of course, the complete solution to this problem should be a computer program that implements the verbal instructions listed here. In practice, the capabilities of such an algorithm are limited in that the counting time increases with the degree of the original polynomial.

Finally, we note that the xref points replacing the infinity value for the boundaries of the segments of the monotonicity of the polynomial can be calculated in a less primitive way than the step-by-step search with doubling of the step considered above. We normalize the polynomial so that the coefficient of the highest power of the argument is equal to one.

Let $M$ be the largest modulo value among all its coefficients. If the argument $x$ of the polynomial is greater than $M+2$, then the value of the polynomial is greater than $1$. To prove this, consider the calculation of the polynomial

by the Horner scheme.

At the first step we calculate

and it is obvious that $p[1]>1.$ In fact even if $k[n−1]<0,$ it does not exceed $M$ in absolute value.

At the second step we calculate

and again it is obvious that $p[2]>1.$

The same holds in the following steps.

At the last step we compute

and finally obtain $p(x)>1.$ Thus, if one needs to set a representative value of the polynomial with an infinite value of the argument, one should take the argument equal to $M+2.$

### Solution to part (a) of Open problem 137* proposed by Ovidiu Furdui (Romania), September 2014 Issue of the EMS Newsletter

#### Solution by Seán M. Stewart (Bomaderry, NSW, Australia)

Denote the integral to be found in (a) by $I$. In terms of known constants its value is:

Here $G$ is *Catalan’s constant* defined by $∑_{n=0}(2n+1)_{2}(−1)_{n} $.

We first establish a number of preliminary results before evaluating
the integral. The $n$th *harmonic number* is defined by

By convention, $H_{0}≡0$. The harmonic numbers satisfy the following recurrence relation

In terms of the harmonic numbers the following finite sum can be written as

The harmonic numbers are related to the *digamma function* by
(see entry 5.4.14 in [13
F. W. J. Olver, D. W. Lozier, R. F. Boisvert and C. W. Clark (eds.),
NIST Handbook of mathematical functions. U.S. Department of
Commerce, National Institute of Standards and Technology, Washington, DC;
Cambridge University Press, Cambridge (2010)
])

Here $γ$ is the Euler–Mascheroni constant. This allows the harmonic numbers to be analytically continued to all $x∈R,x=−1,−2,−3,…$. The functional relation for the digamma function is

For half-integer arguments the digamma function takes the values (see entry 5.4.15 in [13 F. W. J. Olver, D. W. Lozier, R. F. Boisvert and C. W. Clark (eds.), NIST Handbook of mathematical functions. U.S. Department of Commerce, National Institute of Standards and Technology, Washington, DC; Cambridge University Press, Cambridge (2010) ])

Replacing $n$ with $n+21 $ in (4) we see that

where we have made use of the functional for the digamma function. In view of (6) we may rewrite this as

By applying (3), in terms of harmonic numbers this can be expressed as

which reduces to

after the recurrence relation for the harmonic numbers is applied to each of the harmonic number terms that appear.

Two results from Cauchy products for power series will prove useful. The first is

Showing this we have

where we have made use of the partial fraction decomposition of

Reindexing the second sum $k↦n−k$ we have

Reindexing the infinite sum $n↦n−1$ and the finite sum $k↦k−1$ yields

with the desired result then following on application of (3).

The second Cauchy product for power series is

Showing this we have

where (3) has been used. The desired result then follows after a reindexing of $n↦n−1$.

Turning our attention to the integral $I$ we have

Here the interchange made between the summation and the integration is permissible due to Fubini’s theorem. Using the variable change $x↦x $ leads to

From the well-known result of (see, for example, [14 C. I. Vălean, (Almost) impossible integrals, sums, and series. Problem Books in Mathematics, Springer, Cham (2019) , p. 2, Eq. (1.4)])

replacing $n$ with $n+21 $ we see that

allowing us to rewrite the integral appearing in (10) as

In view of (7) this can be rewritten as

From the partial fraction decomposition of

and the recurrence relation for the harmonic numbers, (12) may be expressed as

We now find each of these five sums. For the first of these, setting $x=1$ in (8) we see that

For the second of the sums, $S_{2}$, integrating (9) with respect to $x$ from $0$ to $1$ we see that

Using the variable change $x↦tanx$ before integrating by parts produces

The integral that has now appeared can be evaluated as follows. Recalling Euler’s famous log-sine integral

and let

Using the variable change $x↦2π −x$ in $J_{C}$ gives

Thus

Also

Substituting $y=tanx$ we obtain

Integrating by parts gives

where we used the definition of Catalan’s constant. Solving for $J_{C}$ yields

Thus

The third sum comes directly from the Maclaurin series expansion for $g(1−x)$ evaluated at $x=−1$. Here

The four sum is related to the Maclaurin series expansion for $arctanx$. Here

For the fifth and final sum

where again the definition for Catalan’s constant has been used. Combining the values found for all five sums into (13) we find

as announced.